Package twisted :: Package spread :: Module banana :: Class Pynana |
[show private | hide private]
[frames | no frames]

## Class Pynana

    BaseProtocol --+
                   |
            Protocol --+
                       |
           Ephemeral --+
                       |
                      Pynana

Known Subclasses:
  `Canana`

Method Summary
| `__init__(self, isClient)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `callExpressionReceived(self, obj)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation.
| `dataReceived(self, chunk)`
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
| `gotItem(self, item)`
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `sendEncoded(self, obj)`
| `_encode(self, obj, write)`
| `_selectDialect(self, dialect)`

Class Variable Summary
`str` | `buffer`
`dict` | `incomingVocabulary`
`str` | `k`
`list` | `knownDialects`
`dict` | `outgoingVocabulary`
`int` | `v`

Method Details

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### connectionReady(self) Surrogate for connectionMade Called after protocol negotiation.

### expressionReceived(self, lst) Called when an expression (list, string, or int) is received.

Class Variable Details

    ### buffer Type: `str` Value:
        ''

    ### incomingVocabulary Type: `dict` Value:
        {1: 'None',
         2: 'class',
         3: 'dereference',
         4: 'reference',
         5: 'dictionary',
         6: 'function',
         7: 'instance',
         8: 'list',
        ...

    ### k Type: `str` Value:
        'lcache'

    ### knownDialects Type: `list` Value:
        ['pb', 'none']

    ### outgoingVocabulary Type: `dict` Value:
        {'None': 1,
         'answer': 27,
         'cache': 14,
         'cached': 15,
         'cachemessage': 25,
         'challenge': 22,
         'class': 2,
         'copy': 13,
        ...

    ### v Type: `int` Value:
        18

Generated by Epydoc 1.1 on Thu May 8 13:19:01 2003 | http://epydoc.sf.net